Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class StyleElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.StyleElement

    @TagName(value="style")
    public class StyleElement

extends Element

Style information.

See Also:
  W3C HTML Specification, W3C HTML Specification, W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `StyleElement()`

Method Summary
`static StyleElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getCssText()` The CSS text.
`boolean` | `getDisabled()` Deprecated. use `isDisabled()` instead
`java.lang.String` | `getMedia()` Designed for use with one or more target media.
`java.lang.String` | `getType()` The content type of the style sheet language.
`boolean` | `isDisabled()` Enables/disables the style sheet.
`void` | `setCssText(java.lang.String cssText)` Sets the CSS text.
`void` | `setDisabled(boolean disabled)` Enables/disables the style sheet.
`void` | `setMedia(java.lang.String media)` Designed for use with one or more target media.
`void` | `setType(java.lang.String type)` The content type of the style sheet language.

Methods inherited from class com.google.gwt.dom.client.Element
`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasTagName, is, is, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StyleElement

    protected StyleElement()

Method Detail

### as

    public static StyleElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### getCssText

    public final java.lang.String getCssText()

  The CSS text.

### getDisabled

    @Deprecated
    public final boolean getDisabled()

  Deprecated. use `isDisabled()` instead

  Enables/disables the style sheet.

### getMedia

    public final java.lang.String getMedia()

  Designed for use with one or more target media.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  The content type of the style sheet language.

  See Also:
    W3C HTML Specification

### isDisabled

    public final boolean isDisabled()

  Enables/disables the style sheet.

### setCssText

    public final void setCssText(java.lang.String cssText)

  Sets the CSS text.

### setDisabled

    public final void setDisabled(boolean disabled)

  Enables/disables the style sheet.

### setMedia

    public final void setMedia(java.lang.String media)

  Designed for use with one or more target media.

  See Also:
    W3C HTML Specification

### setType

    public final void setType(java.lang.String type)

  The content type of the style sheet language.

  See Also:
    W3C HTML Specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD